Attribute VB_Name = "ModExcelImportDataFile"
Option Explicit
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' Copyright 1996-2010, Vivek Nigam All Rights Reserved.
' Code contain copyrights by the author.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' You are free to use this code within your own applications,
' but you are expressly forbidden from selling or otherwise
' distributing this source code without prior written consent.
' This includes both posting free demo projects made from this
' code as well as reproducing the code in text or html format.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' #VBCode#************************************************************
   ' * Programmer Name  : Vivek Nigam
   ' * Web Site         :
   ' * E-Mail           : vivek_nigam19@hotmail.com
   ' * Date             : 16/04/2005
   ' * Time             : 23:10
   ' * Module Name      : Read Data From Excell File & Import In SQl Server
   ' * Module Filename  : ExcelImportFiles.vbp
   ' * Procedure Name   :
   ' * Parameters       :
   ' *
   ' **********************************************************************
   ' * Comments         : Retrive Data From Excell File & Import In SQl Server.
   ' **********************************************************************

Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" _
   (ByVal hwnd As Long, _
    ByVal Msg As Long, _
    ByVal wParam As Long, _
    lParam As Any) As Long

Public Const LVM_FIRST = &H1000
Public Const LVM_SETEXTENDEDLISTVIEWSTYLE = (LVM_FIRST + 54)
Public Const LVM_GETEXTENDEDLISTVIEWSTYLE = (LVM_FIRST + 55)
Public Const LVS_EX_FULLROWSELECT = &H20

Public Const FrmName = "Reconciliation - Import Excel File In Database"
Public Const SheetName = "Payments"
Public Const ButCaption = "Select &EXCEL File"
Public Const ButCaption1 = "&Close"
Public Const MdIFrmName = "Import Data Excel File In Database"
Public Const CompAcount = "Select System"
Public Const StartImport = "Start &Data Import"
Public Const ClearList = "Cle&ar Data"

Public Const Cap1 = "Summery Report"
Public Const Cap2 = "Debit Entries   :"
Public Const Cap3 = "Credit Entries  :"
Public Const Cap4 = "Total Row(s)  :"

'//Declarection For MDI Form
Public Const CapMenu1 = "Select &Target Sheet"
Public Const CapMenu2 = "&Help"
Public Const CapMenu3 = "&Exit"
Public Const CapMenu4 = "&Match Columns"
Public Const CapMenu5 = "&Add Reconciliation To Web Panel"
Public Const CapMenu6 = "&Show Rec Mapping"

Public sqlServerName As String
Public sqlDatabase As String
Public sqlUSername As String
Public sqlPassword As String
Public oConn       As Object
'---- CursorTypeEnum Values ----
Public Const adOpenForwardOnly = 0
Public Const adOpenKeyset = 1
Public Const adOpenDynamic = 2
Public Const adOpenStatic = 3
'---- LockTypeEnum Values ----
Public Const adLockReadOnly = 1
Public Const adLockPessimistic = 2
Public Const adLockOptimistic = 3
Public Const adLockBatchOptimistic = 4

Public strSystem As String
Public strRecId As String
Public strCompany As String
Public strAccount As String
Public strSelectedValue As String
Public intNewPassRecId As Integer
Public intNewPassSystemId As Integer

Function ConnOpenNewConnection()
  Dim Conn
  On Error GoTo ErrorHandler    ' Enable error-handling routine.

  Set Conn = CreateObject("ADODB.Connection")
  If Err.Number <> 0 Then
    Set ConnOpenNewConnection = Nothing
    Screen.MousePointer = vbDefault
    Exit Function
  End If
  
  Dim MyServerName, Title, MyDataBase, MyUserName, MyPassword
  Dim Default1, Default2, Default3, Default4
  Dim Message, Message1, Message2, Message3
  
    Title = "Reconciliation Export Excel File"
    Message = "Enter Server Name"   ' Set prompt.
    Message1 = "Enter Database Name"   ' Set prompt.
    Message2 = "Enter User Name"   ' Set prompt.
    Message3 = "Enter Password"   ' Set prompt.
    Default1 = "(local)"
    Default2 = "Demo"
    Default3 = "sa"
    Default4 = "password"
          ' Display dialog box at position 6000, 4000.
           MyServerName = InputBox(Message, Title, Default1, 6000, 4000)
           If MyServerName <> "" Then
                sqlServerName = MyServerName
           Else
               MsgBox "Server name not given,Thanks bye!", vbInformation + vbOKOnly, App.Title
               End
           End If
           ' Display dialog box at position 6000, 4000.
           MyDataBase = InputBox(Message1, Title, Default2, 6000, 4000)
           If MyDataBase <> "" Then
                sqlDatabase = MyDataBase
           Else
               MsgBox "Database name not given,Thanks bye!", vbInformation + vbOKOnly, App.Title
               End
           End If
           ' Display dialog box at position 6000, 4000.
           MyServerName = InputBox(Message2, Title, Default3, 6000, 4000)
           If MyServerName <> "" Then
                sqlUSername = MyServerName
           Else
               MsgBox "User name not given,Thanks bye!", vbInformation + vbOKOnly, App.Title
               End
           End If
           ' Display dialog box at position 6000, 4000.
           MyServerName = InputBox(Message3, Title, Default4, 6000, 4000)
           If MyServerName <> "" Then
                sqlPassword = MyServerName
           Else
                sqlPassword = ""
           End If
           Screen.MousePointer = vbHourglass
            Conn.Provider = "sqloledb"
            Conn.Properties("Data Source").Value = sqlServerName
            Conn.Properties("Initial Catalog").Value = sqlDatabase
            Conn.Properties("User ID").Value = sqlUSername
            Conn.Properties("Password").Value = sqlPassword
            Conn.Open
            Screen.MousePointer = vbDefault
            Set ConnOpenNewConnection = Conn
    Exit Function           ' Exit to avoid handler.
ErrorHandler:                ' Error-handling routine.
''//Create Error Log File in Application Path
    MsgBox "Server not found" & vbCr & "Error Number : " & Err.Number & vbCr & "Error Description : " & Err.Description, vbCritical + vbOKOnly, App.Title
    Open App.Path & "\" & "ImportExcelErrorFile.log" For Append As #1
    Write #1, "Error Number : " & Err.Number, "Error Description : " & Err.Description, Now ' Write comma-delimited data.
    Close #1 ' Close before reopening in another mode.
    '// Up to This
     Screen.MousePointer = vbDefault
    Err.Clear
    End
End Function
' Create a Recordset
Function OpenRS(ByRef sSrc, ByRef oActiveConnection, ByVal nCursorType, ByVal nLockType, ByVal nOptions)
  Dim rs
  On Error Resume Next
  Set rs = CreateObject("ADODB.RecordSet")
  
  If Err.Number <> 0 Then
    Set OpenRS = Nothing
    Exit Function
  End If
  
  rs.CacheSize = 15
  rs.Open sSrc, oActiveConnection, nCursorType, nLockType, nOptions
  
  If Err.Number <> 0 Then
    Set OpenRS = Nothing
    Exit Function
  End If
  
  Set OpenRS = rs
End Function

Function RApost(sStringVal)
    If IsNull(sStringVal) Then
        RApost = ""
    Else
        RApost = Replace(sStringVal, "'", "''")
    End If
End Function
'  Function SQLDate(dt)
'   Purpose: Convert dates of any locale into a format SQL Server can understand
'   Input: date in the local format
'   Returns: date in the format yyyymmdd
Function SQLDate(dt)
'Purpose: Convert dates of any locale into a format SQL Server can understand
'Input: date in the local format
'Returns: date in the format yyyymmdd
    Dim tempDate
    If dt <> "" Then
    tempDate = Year(dt)
    
    If Month(dt) < 10 Then
        tempDate = tempDate & "0" & Month(dt)
    Else
        tempDate = tempDate & Month(dt)
    End If
    
    If Day(dt) < 10 Then
        tempDate = tempDate & "0" & Day(dt)
    Else
        tempDate = tempDate & Day(dt)
    End If

        SQLDate = tempDate
    Else
        'SQLDate = "Null"
        SQLDate = ""
    End If
End Function
Sub Main()
    Load mdiExcelImportDataFile
    mdiExcelImportDataFile.Show
End Sub
